
Figure - Bug #118796
【VC1】【0110】【实车】【EE环境】【副屏】recent和桌面出现重叠的情况
2023-06-15 14:38 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-06-15

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控90��副屏FlatBuild_HH_MCE_FSE.M.R.user.01.00.0110.C105(X105).zip

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: 20230725DB��20230726DB��20230727DB

Reproducibility: Occasionally Fixed Version: 2023-07-14

Test Type: ST Root cause: 编码问题

Description

【环境信息】EE环境

【问题出现时间】：20230615 14:07~08

【前提条件】：整车上电

【操作步骤】

正常打开桌面应用进入recent界面

【实际结果】

recent和桌面出现重叠的情况

【期望结果】

进入recent显示正常

History

#1 - 2023-06-15 14:40 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118796

#2 - 2023-06-15 19:38 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

#3 - 2023-06-16 10:18 - CD APP-王营

- Status changed from New to ASSIGNED

#4 - 2023-06-25 15:55 - CD APP-王宏

■ Current conclusion

已提交

■ My analysis

根据操作步骤是进入Recents的过程中出现的。

因此对RecentsView#setContentAlpha() 进行反向调查。

关键代码是在

BaseRecentsViewStateController#setState()

BaseRecentsViewStateController#setStateWithAnimationInternal()

AbsSwipeUpHandler#maybeUpdateRecentsAttachedState()中的recentsAttachedToAppWindow 有关，

因此重点对这几处加入强化日志,等下次该现象出现后，再观察日志是否有明显的问题

■Submit URL
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/209564

#5 - 2023-06-25 16:18 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209529 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

Revert AF:Launcher:Fix the abnormal interface display caused by the crashTC-RID: 1201-0205302IssueID: TS-R-BUG-118796,IOVDEV-33533This reverts

commit 0bad69b09c7be46741a25f5399d7d6116286ab8d.Reason for revert: <fixed failed>Change-Id: I2dec66c2b23321f1a66564acd7c05ec43affb94c

#6 - 2023-06-25 16:18 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209564 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:add log for recent overlapTC-RID: 1201-0205302IssueID: TS-R-BUG-118796,IOVDEV-33533Change-Id:

I00f49c3028aedb0c2f2d9f0b03c7ae5f7bff691d

#7 - 2023-06-25 16:22 - CD APP-王宏

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王宏 to 物联网测试组_TSCD 王维

- % Done changed from 0 to 10

加入强化日志，请采用6月26日之后的db版本复现，并记录准确的复现时间,以供分析

#8 - 2023-06-25 21:48 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209682 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

Revert AF:Launcher:Fix the abnormal interface display caused by the crashTC-RID: 1201-0205302IssueID: TS-R-BUG-118796,IOVDEV-33533This reverts

commit 0bad69b09c7be46741a25f5399d7d6116286ab8d.Reason for revert: <fixed failed>Change-Id: I2dec66c2b23321f1a66564acd7c05ec43affb94c(cherry picked

from commit 2cd1df9dc200162dc5128f8bfcb1bba653e2f140)
#9 - 2023-07-10 16:01 - CDTS_Test 吴诗雨

- File 07101554.txt added

- File 20230710-160115.jpg added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 物联网测试组_TSCD 王维 to CD APP-王宏

0708DB复现，复现步骤：

1、进入任务管理器切换小窗

2、并反复打开全屏应用并进入任务管理器

问题时间为0710-15：54

#10 - 2023-07-11 15:40 - CD APP-王宏

- % Done changed from 10 to 50

■ Current conclusion

已提交

■ My analysis

具体原因是切换consumer的之后，mMotionPauseDetector的pause方法调用了。修复方案是在切换回调里将该回调给取消

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/213876

#11 - 2023-07-13 15:04 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

213876 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:Fix Recents overlapping on HomeTC-RID: 0301-0205302IssueID: TS-R-BUG-118796,IOVDEV-33533Change-Id:

I8c0d8ca0815080eb03b2f6ed9ed6e1b57a759cd7

#12 - 2023-07-13 16:00 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to 物联网测试组_TSCD 王维

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-07-14

- Root cause set to 编码问题

■ Current conclusion

已入库

■ My analysis

未取消飞入动画的回调

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/213876
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/213876


#13 - 2023-07-13 21:48 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

214755 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher:add log for recent overlapTC-RID: 1201-0205302IssueID: TS-R-BUG-118796,IOVDEV-33533Change-Id:

I00f49c3028aedb0c2f2d9f0b03c7ae5f7bff691d(cherry picked from commit ea88c5324b5d34bfa23b7635b9aaf75614e208ac)

#14 - 2023-07-13 21:52 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

214750 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Launcher:Fix Recents overlapping on HomeTC-RID: 0301-0205302IssueID: TS-R-BUG-118796,IOVDEV-33533Change-Id:

I8c0d8ca0815080eb03b2f6ed9ed6e1b57a759cd7(cherry picked from commit 2180056d67d0061026a9fe4dc5e95224ae3cdc68)

#15 - 2023-07-25 16:35 - 物联网测试组_TSCD 王维

- Verified Version set to 20230725DB

复验版本：20230725DB

复验结果：未复现

#16 - 2023-07-27 15:28 - 物联网测试组_TSCD 王维

- Verified Version changed from 20230725DB to 20230725DB

20230726DB

20230727DB

复验版本：20230726DB

复验结果：未复现

复验结果：50次

复验版本：20230727DB

复验结果：未复现

复验结果：50次

连续3个版本未复现bug，故关闭该bug

#17 - 2023-07-27 15:29 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#18 - 2023-07-27 15:29 - 物联网测试组_TSCD 王维

2025-07-04 4/5



- Status changed from VERIFIED to CLOSED

Files

recent和桌面出现重叠的情况.jpg 2.11 MB 2023-06-15 物联网测试组_TSCD 王维

07101554.txt 4.98 MB 2023-07-10 CDTS_Test 吴诗雨

20230710-160115.jpg 958 KB 2023-07-10 CDTS_Test 吴诗雨
